#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-call-hierarchy-plugin
version:              1.0.0.0
visibility:           public
id:                   hls-call-hierarchy-plugin-1.0.0.0-AfXctccTMHHGowOrBNbp8R
key:                  hls-call-hierarchy-plugin-1.0.0.0-AfXctccTMHHGowOrBNbp8R
license:              Apache-2.0
maintainer:           julytreee@gmail.com
author:               Lei Zhu
synopsis:             Call hierarchy plugin for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server/tree/master/plugins/hls-call-hierarchy-plugin#readme>

category:             Development
abi:                  30c10bc5ec7d2724f1566caa1eb03d79
exposed:              True
exposed-modules:      Ide.Plugin.CallHierarchy
hidden-modules:
    Ide.Plugin.CallHierarchy.Internal Ide.Plugin.CallHierarchy.Query
    Ide.Plugin.CallHierarchy.Types

import-dirs:
    /usr/lib/ghc-9.0.1/site-local/hls-call-hierarchy-plugin-1.0.0.0

library-dirs:
    /usr/lib/ghc-9.0.1/site-local/hls-call-hierarchy-plugin-1.0.0.0

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-9.0.1/hls-call-hierarchy-plugin-1.0.0.0

hs-libraries:         HShls-call-hierarchy-plugin-1.0.0.0-AfXctccTMHHGowOrBNbp8R
depends:
    aeson-1.5.6.0-HjRPlMbeXBZ4yuplu15455 base-4.15.0.0
    bytestring-0.10.12.1 containers-0.6.4.1
    extra-1.7.10-3tDBYCQCoM76FUUqSWK3rB ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF
    ghcide-1.4.1.0-HSEgcKaYDwY7Gh7zpqTMTd
    hiedb-0.4.1.0-FXGDcjW7oQX2hViOcGCFGv
    hls-plugin-api-1.2.0.0-2DarpPdbcz2AaXIxvVZzzh
    lens-5.0.1-KAh7DAnq23eK3Mb3yHYdKP
    lsp-1.2.0.1-7qsm3GFk7516ZURQvh6gjz
    sqlite-simple-0.4.18.0-DeucdE8eSmf2UeVKv1fpHF text-1.2.4.1
    unordered-containers-0.2.14.0-Wie4T3gD5k18ShmuaDNll

haddock-interfaces:
    /usr/share/doc/haskell-hls-call-hierarchy-plugin/html/hls-call-hierarchy-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-call-hierarchy-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

